Xen “flask_op” puffer túlcsordulásos sérülékenység

CH azonosító

CH-1499

Angol cím

Xen "flask_op" Buffer Overflow Vulnerability

Felfedezés dátuma

2008.08.21.

Súlyosság

Alacsony

Érintett rendszerek

Xen
XenSource

Érintett verziók

Citrix Xen 3.x

Összefoglaló

Egy sérülékenységet találtak a Xenben, amit kihasználva rosszindulatú, helyi felhasználók szolgáltatás megtagadást idézhetnek elő, vagy megkerülhetnek bizonyos biztonsági megszorításokat.

Leírás

A sérülékenység a “flask_op” hypercall feldolgozásakor jelentkezik. A hibát kihasználva DomU felhasználók halom túlcsordulást okozhatnak és tetszőleges kódot futtathatnak Dom0 jogosultsággal.

A hiba sikeres kihasználásához szükséges, hogy a Xen az “XSM:FLASK” modul támogatással legyen fordítva.

A sérülékenységet a 3.3. verzióban találták, de egyéb kiadások is érintve lehetnek.

Megoldás

Telepítse a javítócsomagokat